ƥ

ƥꡧLinux

ƥ:
http://nick.hateblo.jp/entry/2014/01/26/183822

ǶᡢΥ֥Ƥޤޤ
٤ΤȡMySQLƤޤ

ϺƵưƤ⼣ʤäΤǾ嵭Υ󥯤Τ褦
MySQLΥ塼˥󥰤򤷤ƺƵưǼä

MySQLȤ˾϶ŤʡMySQL

ޤʤǤԺĴ٤ʤФǤǤ͡
ФäƥСԤˤǤʤʡʡơ

ΤޤȤ

  1. ޤMySQLƵư

  2. ƵưǤ

  3. ʤΤǡ/etc/my.cnf򤤤롣

  4. 򻲹ͤˤΤ嵭󥯡

  5. äƺƵư̵롣


ճȡmy.cnf򤤤ǿǤΤ⤷ޤ͡塼˥󥰤˴ؤƤϡ

ȤSQLʸФ餤Ǥ礦ɤ͡ΤȤ̵

ƥ:
VPSGitlab򥤥󥹥ȡ뤷ƤߤΤǡ
εϿ

ͤˤ


https://github.com/gitlabhq/gitlabhq/blob/master/doc/install/installation.md

Ū˾嵭ΤȤޤ
̵󥹥ȡϤǤΤǤȤꤢϤޤäȤ񤭤ޤ

PythonΥ󥹥ȡ


ǽ顢yumǥ󥹥ȡ뤷ΤǤ줬GitlabΥåܤǡ2.5ʾˤƤ
Ȥä褦ʥ顼ǤƤޤʤäwgetǥ饤󥹥ȡ뤷
ľܥܥå󥯤ä餦ޤä

[code]
sudo wget http://www.python.org/ftp/python/2.7.5/Python-2.7.5.tgz
tar zxf Python-2.7.5.tgz
cd Python-2.7.5
./configure --enable-shared
make
sudo make install
sudo ln -s /usr/local/lib/libpython2.7.so.1.0 /lib64/
[/code]

RubyΥ󥹥ȡ


Ruby2.0.0ʾˤƥľܥ󥹥ȡ뤷ƤߤΤ
rbenvפƤΤ˺Ƥơ[code]ruby -v[/code]ȳǧƤ
ŤС󤬽ФƤޤäƤΤǡrbenv뤳Ȥ
[code]
sudo rm -rf ~/.rbenv/
sudo rm -rf /usr/local/bin/rbenv
sudo rm -rf /usr/local/Cellar/rbenv/
[/code]
äɽ줿

ʾ塢нǤ

ƥ:


WordpressDz򥢥åץɤơ

極פƤ褦Ȼפä顢ʤȡ֥ե륵פ٤ʤǤ

̤ϥե륵祵極ͥ٤

Ĵ٤顢ɤphp-gdפȤ򤢤Ĥ饤֥꤬С˥󥹥ȡ뤵ƤʤȤΤ褦ǤλȤäƤ륵Сϡ֤VPSפǡ

ؤΥ饤֥ƤʤäǤ͡

ǤȤꤢPHP򥤥󥹥ȡ뤹Ȥϥ饤֥󥹥ȡ뤷äۤ

ʤȤȤؤӤޤ

ǡ󥹥ȡ뤹٤yumפǤäƤߤΤǤ

ʤ󤫤ʤ󤸤Υ顼

[bash]
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php-gd.i386 0:5.1.6-27.el5_5.3 set to be updated
--> Processing Dependency: php-common = 5.1.6-27.el5_5.3 for package: php-gd
--> Finished Dependency Resolution
php-gd-5.1.6-27.el5_5.3.i386 from updates has depsolving problems
--> Missing Dependency: php-common = 5.1.6-27.el5_5.3 is needed by package php-gd-5.1.6-27.el5_5.3.i386 (updates)
Error: Missing Dependency: php-common = 5.1.6-27.el5_5.3 is needed by package php-gd-5.1.6-27.el5_5.3.i386 (updates)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.

[/bash]

ޥåȡȻפޤơ
GoogleʹƤߤޤ

Ǥ⡢󤼤ʤ櫓Ǥ衦줬

ǡפ֤ƤߤGoogleˤΤäƤϤۤȤɤ
CeotOS6ʾΤΤФäǡ

ΤĤ5.xȻפäơ

ҤäȤ5.xϤˤPHPκǿ5.4Τʤ󤸤ͤȻפ
[bash]
No package php54 available.
[/bash]
ΤФƤΤǤ͡
5.3ʤ뤫⤷ȻפʲΥޥɤ򤿤Ƥߤ

[bash]
sudo yum install php53
[/bash]

˥󥹥ȡ
³ơ饤֥㤪äƤȤ
[bash]
sudo yum install php53-*
[/bash]
äƤäơСƵư
[bash]
sudo /etc/init.d/httpd restart
[/bash]
äƤä顢̵Wordpressβꥵ
åץɤ줿ΤǤ

ƤWordpressΥ֥򤵤VPSDZĤƤǯʾ塢
ޤޤǵŤʤääơ

򥢥åץɤƤʤääƤȤǤ͡
Ȥꤢ줫PHP󥹥ȡ뤹ݤ
饤֥󥹥ȡ뤹뤳ȤˤޤΤ̵ۤ񤽤ʤǡ

ȡCentOS6ʾˤۤΤʡ
nginxƤߤɡ٤륵ȤⱿĤƤʤʡʤƻפ⤢Ĥġ

ΥڡΥȥåץ

Ф